incubator-deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From André Dietisheim <andre.dietish...@gmail.com>
Subject Re: cannot start deltacloudd since gem update
Date Thu, 21 Oct 2010 07:45:56 GMT
  Hi Marios

thanks for answering! I got my answer on IRC last night. The update 
installed 2 racks (1.1.0 & 1.2.1). Since rack 1.2.1 is not compatible 
and deltacloud seems like using the latest one things broke. I could fix 
it my removing rack 1.2.1 though. I slowly get the logics ;)

Thanks!
André

On 10/20/2010 11:27 PM, marios@redhat.com wrote:
> Hi Andre, need more info - perhaps a list of gems with versions. 
> Probably the best though is to join the irc channel and we can chat 
> there,
>
> marios
>
> On 20/10/10 20:31, André Dietisheim wrote:
>> Hi guys
>>
>> I just updated my gems (sudo gem update) and fail to start deltacloudd
>> since then.l Since I am a complete noob in ruby I'm pretty stuck here,
>> unfortunately. I guess I have a bad gem but no idea which one.
>>
>> <snip>
>>
>> deltacloudd -i mock
>> Starting Deltacloud API :: mock :: http://localhost:3001/api
>>
>>
>> 19:29:27 - Adietisheim Launched
>> /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/utils.rb:138:in `union':
>> can't convert Array into String (TypeError)
>> from /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/utils.rb:138
>> from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
>> `gem_original_require'
>> from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
>> `require'
>> from /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/request.rb:1
>> from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
>> `gem_original_require'
>> from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
>> `require'
>> from /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/showexceptions.rb:3
>> from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
>> `gem_original_require'
>> ... 11 levels...
>> from /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/builder.rb:46:in
>> `instance_eval'
>> from /usr/lib/ruby/gems/1.8/gems/rack-1.2.1/lib/rack/builder.rb:46:in
>> `initialize'
>> from config.ru:1:in `new'
>> from config.ru:1
>>
>> 19:29:29 - Adietisheim Launch Failed
>> Watching
>> /usr/lib/ruby/gems/1.8/gems/deltacloud-core-0.0.8/**/*.{rb,js,css,erb}
>>
>> </snip>
>>
>> I'd appreciate any hints! Thanks in advance!
>>
>> Cheers
>> André
>>
>


Mime
View raw message